package javax.swing.plaf;

import javax.swing.PopupFactory;
import javax.swing.Popup;
import javax.swing.JPopupMenu;
import java.awt.event.MouseEvent;

public abstract class PopupMenuUI extends ComponentUI
{
    public PopupMenuUI() {
    }
    
    public boolean isPopupTrigger(MouseEvent mouseEvent) {
        return mouseEvent.isPopupTrigger();
    }
    
    public Popup getPopup(JPopupMenu contents, int x, int y) {
        return PopupFactory.getSharedInstance().getPopup(contents.getInvoker(), contents, x, y);
    }
}
